%global src_name Regina-REXX
%{!?_initddir: %define _initddir %{_initrddir}}

Summary: Regina Rexx Interpreter
Name: regina-rexx
Version: 3.5
Release: 3%{?dist}
Group: Development/Languages
URL: http://regina-rexx.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{src_name}-%{version}.tar.gz
Source1: regina-config
# add soname to the library
Patch0: %{src_name}-3.5-soname.patch
# add man pages
Patch1: %{src_name}-3.5-man.patch
# fix debuginfo
Patch2: %{src_name}-3.5-debuginfo.patch
# install new man pages
Patch3: %{src_name}-3.5-man-install.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: LGPLv2+ and MPLv1


%description
Regina is an implementation of a Rexx interpreter, compliant with
the ANSI Standard for Rexx (1996).  It is also available on several other
operating systems.
For more information on Regina, visit http://regina-rexx.sourceforge.net/
For more information on Rexx, visit http://www.rexxla.org


%package devel
Group: Development/Libraries
Summary: Development files for Regina Rexx

%description devel
Development files you can use to develop applications with Regina Rexx.


%prep
%setup -q -n %{src_name}-%{version}
%patch0 -p1 -b .soname
%patch1 -p1 -b .man
%patch2 -p1 -b .debuginfo
%patch3 -p1 -b .man-install


%build
%configure
# parallel make is broken
#make %{?_smp_mflags}
make


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# remove static lib
rm -f %{buildroot}%{_libdir}/libregina.a

# make the config multi-lib compatible
mv %{buildroot}%{_bindir}/regina-config %{buildroot}%{_bindir}/regina-config-%{_arch}
install -p -m 755 %{SOURCE1} %{buildroot}%{_bindir}/regina-config


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING-LIB BUGS README.[023]* README_SAFE
%{_bindir}/rexx
%{_bindir}/regina
%{_bindir}/rxqueue
%{_bindir}/rxstack
%{_libdir}/libregina.so.*
%{_libdir}/libregutil.so
%{_libdir}/librxtest1.so
%{_libdir}/librxtest2.so
%{_mandir}/man1/regina.1*
%{_mandir}/man1/rxqueue.1*
%{_mandir}/man1/rxstack.1*
%{_initddir}/rxstack
%{_datadir}/regina

%files devel
%defattr(-,root,root,-)
%{_bindir}/regina-config
%{_bindir}/regina-config-%{_arch}
%{_libdir}/libregina.so
%{_includedir}/rexxsaa.h
%{_mandir}/man1/regina-config.1*


%changelog
* Mon Nov 07 2011 Dan Horák <dan[at]danny.cz> 3.5-3
- set soname for the libraries
- add man pages

* Mon Oct 11 2010 Dan Horák <dan[at]danny.cz> 3.5-2
- fix build on EL <= 5

* Mon Oct 11 2010 Dan Horák <dan[at]danny.cz> 3.5-1
- initial Fedora version
